Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun GlassFish(tm) Message Queue v4.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.sun.messaging.bridge.service
Enum MessageTransformer.JMSMessageType

    java.lang.Object
      java.lang.Enum<MessageTransformer.JMSMessageType>
          com.sun.messaging.bridge.service.MessageTransformer.JMSMessageType

All Implemented Interfaces:
  Serializable, Comparable<MessageTransformer.JMSMessageType>

Enclosing class:
  MessageTransformer<T,S>

    public static enum MessageTransformer.JMSMessageType

extends Enum<MessageTransformer.JMSMessageType>

Enum Constant Summary
`BYTESMESSAGE`
`MAPMESSAGE`
`MESSAGE`
`OBJECTMESSAGE`
`STREAMMESSAGE`
`TEXTMESSAGE`

Method Summary
`static MessageTransformer.JMSMessageType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MessageTransformer.JMSMessageType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MESSAGE

    public static final MessageTransformer.JMSMessageType MESSAGE

### TEXTMESSAGE

    public static final MessageTransformer.JMSMessageType TEXTMESSAGE

### BYTESMESSAGE

    public static final MessageTransformer.JMSMessageType BYTESMESSAGE

### MAPMESSAGE

    public static final MessageTransformer.JMSMessageType MAPMESSAGE

### STREAMMESSAGE

    public static final MessageTransformer.JMSMessageType STREAMMESSAGE

### OBJECTMESSAGE

    public static final MessageTransformer.JMSMessageType OBJECTMESSAGE

Method Detail

### values

    public static final MessageTransformer.JMSMessageType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(MessageTransformer.JMSMessageType c : MessageTransformer.JMSMessageType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static MessageTransformer.JMSMessageType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun GlassFish(tm) Message Queue v4.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright 2009 Sun Microsystems, Inc. 4150 Network Circle,
Santa Clara, California, 95054, U.S.A. All Rights Reserved.